package uk.co.blatech.blaupload3.model

import android.net.Uri
import java.net.URI
import java.text.SimpleDateFormat
import java.util.*

data class File (var filename: String, var type: String, var modified: Long, var size: Long) {

    var url = Uri.parse("http://wupload.of.je/$filename")
    var thumb_url = Uri.parse("http://wupload.of.je/thumbs/$filename")
    var modified_formatted = SimpleDateFormat("dd/MM/yyyy mm:HH:ss").format(Date(modified*1000))
    val units = arrayOf<String>("B", "kB", "MB", "GB", "TB")
    var size_lambda = { size : Long ->
        var curSize = size.toDouble()
        var curUnit = units[0]
        for (i in 0 until units.size-1) {
            if (curSize < 1000) {
                break
            }
            curSize /= 1000
            curUnit = units[i+1]
        }
        val sizeRounded = String.format("%.3g", curSize)
        "$sizeRounded $curUnit"
    }

    var size_formatted = size_lambda(size)


}