package uk.co.blatech.blaupload3.util

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import uk.co.blatech.blaupload3.model.File
import kotlinx.android.synthetic.main.file_list_row.view.*
import uk.co.blatech.blaupload3.R


class FileListAdapter(private val context: Context, private val fileList : ArrayList<File>) : BaseAdapter() {
    private val infater: LayoutInflater = context.getSystemService(Context.LAYOUT_INFLATER_SERVICE) as LayoutInflater
    var imageLoader = AppController.instance?.imageLoader
    override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View {
        val listRow =  infater.inflate(R.layout.file_list_row, parent, false)
        listRow.list_filename.text = fileList[position].filename
        listRow.list_modified.text = fileList[position].modified_formatted.toString()
        listRow.list_size.text = fileList[position].size_formatted
        listRow.list_thumbnail.setImageUrl(fileList[position].thumb_url.toString(), imageLoader)
        return listRow
    }

    override fun getItem(position: Int): Any {
        return fileList[position]
    }

    override fun getItemId(position: Int): Long {
        return position.toLong()
    }

    override fun getCount(): Int {
        return fileList.size
    }

}