package uk.co.blatech.blaupload3.util

import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import kotlinx.android.synthetic.main.image_gallery_item.view.*
import uk.co.blatech.blaupload3.R
import uk.co.blatech.blaupload3.model.File

class ImageGalleryAdapter(private val fileList : ArrayList<File>) : RecyclerView.Adapter<ImageGalleryAdapter.ViewHolder>(){


    class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        var imageLoader = AppController.instance?.imageLoader

        fun bind(file: File) {
            itemView.gallery_thumbnail.setImageUrl(file.thumb_url.toString(), imageLoader)
            itemView.gallery_title.text = file.filename
        }
    }


    fun updateFileList(newFileList : ArrayList<File>) {
        Log.i("aaaaa", "bbbbb")
        for (file in newFileList) {
            Log.i("file", file.toString())
            if (file.type == "image2") {
                fileList.add(file)
            }
        }
        notifyDataSetChanged()

    }
    override fun getItemId(position: Int): Long {
        return position.toLong()
    }

    override fun getItemCount(): Int {
        return fileList.size
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.image_gallery_item, parent,false)
        return ViewHolder(view)
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        fileList?.get(position)?.let { file ->
            if (file.type == "image2") {
                holder.bind(file)
            }
        }
    }

}