package uk.co.blatech.blaupload3.util

import android.net.Uri
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.squareup.picasso.Picasso
import kotlinx.android.synthetic.main.pager_item.view.*
import uk.co.blatech.blaupload3.R
import uk.co.blatech.blaupload3.model.File

class ImagePagerAdapter(private val fileList : ArrayList<File>) :  RecyclerView.Adapter<ImagePagerAdapter.ViewHolder>() {

    class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        var imageLoader = AppController.instance?.imageLoader

        fun bind(file: File) {
            val imageView = itemView.pager_image
            Picasso.get().load(file.url).into(imageView)
            itemView.pager_title.text = file.filename
        }
    }

    fun updateFileList(newFileList : ArrayList<File>) {
        Log.i("aaaaa", "bbbbb")
        for (file in newFileList) {
            Log.i("file", file.toString())
            if (file.type == "image2") {
                fileList.add(file)
            }
        }
        notifyDataSetChanged()

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ImagePagerAdapter.ViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.pager_item, parent,false)
        return ViewHolder(view)    }

    override fun getItemCount(): Int {
        return fileList.size
    }

    override fun getItemId(position: Int): Long {
        return position.toLong()
    }

    override fun onBindViewHolder(holder: ImagePagerAdapter.ViewHolder, position: Int) {
        fileList?.get(position)?.let { file ->
            if (file.type == "image2") {
                holder.bind(file)
            }
        }
    }

}