package uk.co.blatech.blaupload3.util

import android.content.Context
import android.util.Log
import android.widget.ListView
import com.android.volley.Request
import com.android.volley.Response
import com.android.volley.toolbox.JsonArrayRequest
import com.android.volley.toolbox.Volley
import org.json.JSONArray
import uk.co.blatech.blaupload3.model.File


class JSONLoader {
    companion object {

        fun loadJsonToList(context: Context?, listView: ListView) {
            val queue = Volley.newRequestQueue(context)
            val url = "http://wupload.of.je/?format=json"
            var fileList = ArrayList<File>()
            val jsonRequest = JsonArrayRequest(
                Request.Method.GET,
                url,
                null,
                Response.Listener<JSONArray> { response ->

                    for (i in 0 until response.length()) {
                        var jsonObj = response.getJSONObject(i)
                        var upload: File = File(filename =jsonObj.getString("filename"), type = jsonObj.getString("type"), modified = jsonObj.getLong("modified"), size = jsonObj.getLong("size"))
                        fileList.add(upload)


                    }
                    if (context != null) {
                        listView.adapter = FileListAdapter(context, fileList)
                    }
                },
                Response.ErrorListener {  Log.e("json error", "narp")})
                queue.add(jsonRequest)

        }

        fun loadJsonToAdapter(context: Context?, adapter: ImageGalleryAdapter) {
            val queue = Volley.newRequestQueue(context)
            val url = "http://wupload.of.je/?format=json"
            var fileList = ArrayList<File>()
            val jsonRequest = JsonArrayRequest(
                Request.Method.GET,
                url,
                null,
                Response.Listener<JSONArray> { response ->

                    for (i in 0 until response.length()) {
                        var jsonObj = response.getJSONObject(i)
                        var upload: File = File(filename =jsonObj.getString("filename"), type = jsonObj.getString("type"), modified = jsonObj.getLong("modified"), size = jsonObj.getLong("size"))
                        fileList.add(upload)


                    }
                        adapter.updateFileList(fileList)
                },
                Response.ErrorListener {  Log.e("json error", "narp")})
            queue.add(jsonRequest)

        }

        fun loadJsonToAdapter2(context: Context?, adapter: ImagePagerAdapter) {
            val queue = Volley.newRequestQueue(context)
            val url = "http://wupload.of.je/?format=json"
            var fileList = ArrayList<File>()
            val jsonRequest = JsonArrayRequest(
                Request.Method.GET,
                url,
                null,
                Response.Listener<JSONArray> { response ->

                    for (i in 0 until response.length()) {
                        var jsonObj = response.getJSONObject(i)
                        var upload: File = File(filename =jsonObj.getString("filename"), type = jsonObj.getString("type"), modified = jsonObj.getLong("modified"), size = jsonObj.getLong("size"))
                        fileList.add(upload)


                    }
                    adapter.updateFileList(fileList)
                },
                Response.ErrorListener {  Log.e("json error", "narp")})
            queue.add(jsonRequest)

        }
    }




}
